@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.custom-card {
    border-radius: 10px !important;
    background-color: #26225e !important;
}

.custom-label {
    color: #008fce !important;
    font-size: 30px !important;
}

.menu-init-label {
    color: black !important;
    font-size: 19px !important;
}

.barlow-semi condensed {
    font-size: medium !important;
    font-style: normal !important;
    font-family: "Barlow Semi Condensed", sans-serif;
}

.barlow-semi condensed-bold {
    font-size: medium !important;
    font-weight: bolder !important;
    font-style: normal !important;
    font-family: "Barlow Semi Condensed", sans-serif;
}

.barlow-semi condensed-italic {
    font-size: medium !important;
    font-style: italic !important;
    font-family: "Barlow Semi Condensed", sans-serif;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }


/*@media (max-width: 1040px) {
    #responsive-counter-order[style] {
        color: #1a3cd1;
        padding-left: 22px !important;
        padding-top: -10px !important;
        font-size: 20px;
    }
}*/
/*Control defs menu principal*/
@media (max-width: 768px) {
    /*    #content-main-layout[style] {
        margin-top: 51px !important;
        margin-bottom: 57px !important;
        margin-left: 0px !important;
    }

    #sidebar-main-layout[style] {
        top: 51px !important;
        bottom: 57px !important;
        width: 0px !important;
        transform: translateX(-100%) !important;
    }*/

    #responsive-menu-main-layout[style] {
        visibility: visible !important;
        display: block !important;
    }

    .header-no-responsive {
        visibility: collapse !important;
        display: none !important;
    }

    /*    .sidebar-toggle {
        display: none;
        visibility: collapse;
    }*/

}

.spinner-animation {
    border: 16px solid silver;
    border-top: 16px solid #337AB7;
    border-radius: 50%;
    width: 80px;
    height: 80px;
    animation: spin 700ms linear infinite;
    top: 40%;
    left: 40%;
    position: absolute;
}

@keyframes spin {
    0% {
        transform: rotate(0deg)
    }

    100% {
        transform: rotate(360deg)
    }
}

/* clases para index*/

body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #F4F4F4;
}

.source-sans-3-700 {
    font-family: "Source Sans 3", sans-serif;
    font-optical-sizing: auto;
    font-weight: 700;
    font-style: normal;
}

.header {
    /*ANTERIOR*/
    /*background-image: url('../images/Maskgroup.jpg') !important;
    background-size: cover !important;*/
    /*color: white !important;*/
    /*NUEVO*/
    background-color: #17A8E1 !important;
    color: #17A8E1 !important;
    padding: 30px 20px !important;
    position: relative !important;
}

nav {
    position: absolute;
    top: 20px;
    left: 20px;
}

    nav a {
        color: white;
        text-decoration: none;
        margin-right: 20px;
        font-family: "Lato", sans-serif;
        font-weight: 300;
        font-style: normal;
        font-size: 13px;
    }

.header-content {
    max-width: 600px;
}

h1 {
    font-size: 2.5em;
    margin-bottom: 10px;
    font-family: "Source Sans 3", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}

.logos {
    position: absolute;
    top: 50px;
    right: 60px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: center;
    transform: scale(1.5);
}

    .logos img {
        width: 100px;
        margin-left: 10px;
    }

main {
    background-image: url(./images/polygon.png);
    background-size: contain;
    background-position: right;
    background-repeat: no-repeat, repeat;
}

.sub-main {
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
}

h2 {
    font-size: 2em;
    margin-bottom: 20px;
}

.services {
    display: grid;
    /* flex-wrap: wrap; */
    /* justify-content: space-between; */
    padding: 30px;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 50px;
}

.service {
    margin-bottom: 20px;
    height: 250px;
    /* padding: 50px 0px; */
    /* text-align: center; */
    border-radius: 9px;
    position: relative;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    display: flex;
    justify-content: center;
    background-color: #fff;
    perspective: 1000px; /* Remove this if you don't want the 3D effect */
}

    .service img {
        width: 80px;
        margin-bottom: 110px;
        margin-top: 40px;
    }

    .service h3 {
        margin: 10px 0;
        font-family: "Lato", sans-serif;
        font-weight: 700;
        font-size: 18px;
    }

    .service p {
        /*Anterior*/
        background-color: #B4DEED;
        /*Nuevo*/
        /*background-color: lightgray;*/
        font-size: 0.9em;
        color: #666;
        border-radius: 0 0 9px 9px;
        font-family: "Lato", sans-serif;
        font-weight: 700;
        font-size: 13px;
    }

.service-inner {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    transition: transform 0.8s;
    transform-style: preserve-3d;
}

.service:hover .service-inner {
    transform: rotateY(180deg);
}

.service-face-front, .service-face-back {
    position: absolute;
    width: 100%;
    height: 100%;
    -webkit-backface-visibility: hidden; /* Safari */
    backface-visibility: hidden;
    /*Nuevo*/
    /*background-color: #1E22AA;*/
}

.service-face-front {
}

.service-face-back {
    transform: rotateY(180deg);
}

.container-desc {
    /*  Anterior*/
    background-color: #B4DEED;
    /*Nuevo*/
    /*background-color: lightgray;*/
    position: absolute;
    bottom: 0;
    padding: 0.3px 14px;
    height: 100px;
    border-radius: 0 0 9px 9px;
}

.title {
    font-family: "Source Sans 3", sans-serif;
    font-optical-sizing: auto;
    font-weight: 700;
    font-style: normal;
    font-size: 48px;
    margin: 0;
}

.subtitle {
    font-family: "Lato", sans-serif;
    font-weight: 700;
    font-size: 15px;
    margin: 0;
}

.input-group {
    display: flex;
    /* margin-bottom: 20px; */
    flex-direction: column;
    margin-top: 30px;
    width: fit-content;
    margin-left: 12%;
}

    .input-group label {
        font-size: 14px;
        margin-bottom: 5px;
        display: block;
    }

    .input-group input {
        flex-grow: 1;
        padding: 10px;
        border: 1px solid #ccc;
        border-right: none;
        border-top-left-radius: 5px;
        border-bottom-left-radius: 5px;
        font-size: 16px;
    }

    .input-group button {
        padding: 10px 20px;
        background-color: #006699;
        color: white;
        border: none;
        border-top-right-radius: 5px;
        border-bottom-right-radius: 5px;
        cursor: pointer;
        font-size: 16px;
        transition: background-color 0.3s ease;
    }

        .input-group button:hover {
            background-color: #005580;
        }

.selected img {
    display: none;
}

.selected {
    width: 100%;
    /*Nuevo*/
    background-color: #fff;
}

    .selected .container-desc {
        background-color: #005580;
        color: #fff;
    }

        .selected .container-desc p {
            background-color: #005580;
            color: #fff;
        }

/*.logo-rpg {*/
/*ANTERIOR*/
/*width: 170px;
    height: 85px;
    padding-left: 20px;*/
/*NUEVO*/
/*width: 292px;
    height: 180px;
    padding-left: 16px;*/
/*margin-top: -60px;
}

.logo-rpg2 {
    width: 120px;
    height: 80px;
    padding-right: -30px;
}*/

/*.logo-municipio {
    width: 130px;
    height: 90px;
    padding-left: -20px;
}*/

.index-texbox {
    width: 250px !important;
}

.index-button {
    font-size: small
}

@media (max-width: 1024px) {
    .container-desc {
        background-color: #B4DEED;
        position: absolute;
        bottom: 0;
        padding: 10px 14px;
        height: 120px;
    }

    .input-group input {
        width: 200px !important;
    }

    .logo-rpg {
        width: 230px !important;
        height: 115px
    }

    .logo-municipio {
        width: 230px !important;
        height: 120px
    }

    .logo-sac {
        margin-top: -5px !important;
        width: 250px !important;
        height: 130px;
    }
}

@media (max-width: 1000px) {
    .container-desc {
        background-color: #B4DEED;
        position: absolute;
        bottom: 0;
        padding: 10px 14px;
        height: 120px;
    }

    .input-group input {
        width: 220px !important;
    }
}

@media (max-width: 912px) {
    .services {
        display: grid;
        /* flex-wrap: wrap; */
        /* justify-content: space-between; */
        padding: 30px;
        grid-template-columns: 1fr 1fr;
        gap: 20px;
    }

    .input-group input {
        width: 300px !important;
    }
}

@media (max-width: 900px) {
    .services {
        display: grid;
        /* flex-wrap: wrap; */
        /* justify-content: space-between; */
        padding: 30px;
        grid-template-columns: 1fr 1fr;
        gap: 20px;
    }

    .input-group input {
        width: 220px !important;
    }
}

@media (max-width: 896px) {
    .header {
        background-image: url('../images/Maskgroup.jpg') !important;
        background-color: #17A8E1 !important;
        color: black !important;
        height: 150px
    }
    .logo-rpg {
        width: 160px !important;
        height: 85px
    }

    .logo-municipio {
        width: 160px !important;
        height: 90px
    }

    .logo-sac {
        margin-top: -5px !important;
        width: 200px !important;
        height: 90px;
    }
}

@media (max-width: 768px) {
    .header {
        background-image: url('../images/Maskgroup.jpg') !important;
        background-color: #17A8E1 !important;
        color: black !important;
        height: 130px
    }

    .logo-rpg {
        width: 160px !important;
        height: 85px
    }

    .logo-municipio {
        width: 160px !important;
        height: 90px
    }

    .logo-sac {
        margin-top: -5px !important;
        width: 200px !important;
        height: 90px;
    }

    .header-content h1 {
        font-size: 20px;
    }

    .header-content {
        max-width: 200px;
    }

    .logos {
        transform: scale(1.2);
    }

    .title {
        font-size: 30px;
    }

    .services {
        display: grid;
        /* flex-wrap: wrap; */
        /* justify-content: space-between; */
        padding: 30px;
        gap: 10px;
    }
}

@media (max-width: 700px) {
    .header-content h1 {
        font-size: 20px;
    }

    .header-content {
        max-width: 200px;
    }

    .logos {
        transform: scale(1.2);
    }

    .title {
        font-size: 30px;
    }

    .services {
        display: grid;
        /* flex-wrap: wrap; */
        /* justify-content: space-between; */
        padding: 30px;
        gap: 10px;
    }

    .input-group input {
        width: 220px !important;
    }

    .header {
        background-image: url('../images/Maskgroup.jpg') !important;
        background-color: #17A8E1 !important;
        color: black !important;
        height:110px
    }
}

@media (max-width: 540px) {
    .services {
        grid-template-columns: 1fr;
        gap: 10px;
    }
    .logo-rpg {
        width: 120px !important;
        height: 65px !important
    }

    .logo-municipio {
        width: 120px !important;
        height: 70px !important;
    }

    .logo-sac {
        margin-top: -3px !important;
        width: 180px !important;
        height: 70px!important;
    }
}


@media (max-width: 540px) {
    .header {
        background-image: url('../images/Maskgroup.jpg') !important;
        background-color: #17A8E1 !important;
        color: black !important;
        font-size: 12px;
    }

    .logo-rpg {
        width: 220px;
        height: 95px;
        padding-left: 20px;
    }

    .logo-municipio {
        width: 226px;
        height: 115px;
    }

    .service p {
        font-size: 11px;
    }

    .selected .container-desc p {
        background-color: #005580;
        color: #fff;
        font-size: 10px;
    }

    .input-group input {
        width: 300px !important;
    }
}

@media (max-width: 430px) {
    .header {
        background-image: url('../images/Maskgroup.jpg') !important;
        background-color: #17A8E1 !important;
        color: black !important;
        font-size: 12px;
        height: 110px
    }

    .logo-rpg {
        width: 120px !important;
        height: 60px
    }

    .logo-municipio {
        width: 120px !important;
        height: 70px
    }

    .logo-sac {
        margin-top: -5px !important;
        width: 120px !important;
        height: 70px;
    }

    .service p {
        font-size: 11px;
    }

    .selected .container-desc p {
        background-color: #005580;
        color: #fff;
        font-size: 10px;
    }

    .input-group input {
        width: 200px !important;
    }
}

@media (max-width: 375px) {
    .header {
        background-image: url('../images/Maskgroup.jpg') !important;
        background-color: #17A8E1 !important;
        color: black !important;
        font-size: 12px;
        height: 120px !important
    }

    .logo-rpg {
        width: 110px !important;
        height: 60px
    }

    .logo-municipio {
        width: 100px !important;
        height: 70px
    }

    .logo-sac {
        margin-top: -5px !important;
        width: 100px !important;
        height: 70px;
    }

    .service p {
        font-size: 11px;
    }

    .selected .container-desc p {
        background-color: #005580;
        color: #fff;
        font-size: 10px;
    }

    .input-group input {
        width: 160px !important;
    }
}

@media (max-width: 345px) {
    .header {
        background-image: url('../images/Maskgroup.jpg') !important;
        background-color: #17A8E1 !important;
        color: black !important;
        font-size: 12px;
    }

    .logo-rpg {
        width: 120px;
        height: 80px;
        padding-left: 20px;
    }

    .logo-municipio {
        width: 126px;
        height: 100px;
    }

    .service p {
        font-size: 10px;
    }

    .selected .container-desc p {
        background-color: #005580;
        color: #fff;
        font-size: 10px;
    }

    .input-group input {
        width: 140px !important;
    }
}


footer {
    width: 100%;
    /* background-color:lightgray;*/
}

footer {
    height: 100px;
    left: 0px;
    margin: 0px;
    color: beige;
    z-index: 99999;
}

footer {
    position: fixed;
    height: 225px;
    bottom: -150px;
    transition: bottom 0.8s ease;
}

    footer:hover {
        bottom: 0px;
        transition: bottom 0.8s ease;
    }

    footer .cont100 {
        height: 100px;
    }

    footer .cont75 {
        height: 75px;
    }

    footer .cont50 {
        height: 50px;
    }

    footer .cont25 {
        height: 25px;
    }
